Bug 197934 - Connections through RHN proxy are not working after subscription renewal
Connections through RHN proxy are not working after subscription renewal
Product: Red Hat Satellite Proxy 5
Classification: Red Hat
Component: Server (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Brandon Perkins
Depends On:
  Show dependency treegraph
Reported: 2006-07-07 10:11 EDT by Doug Johnson
Modified: 2008-11-18 13:18 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-18 13:18:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Doug Johnson 2006-07-07 10:11:39 EDT
Description of problem:

We renewed our site license for rhel and due to a problem on the redhat side the
paperwork was not processes before the subscription expired.  That part of the
problem has been fixed.  However, now we can not get updates using our rhn proxy
server.  When invoking up2date-nox we get the following error,

Error Message:
    RHN Proxy error (during proxy login). Please contact your system administrator.
Error Class Code: 1000
Error Class Info: RHN Proxy error.
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

If we replace our proxy server with xmlrpm.rhn.redhat.com in
/etc/sysconfig/rhn/up2date up2date clients work.  Our login name for rhn is
osc-mck and our proxy server is nfs1.osc.edu.

Version-Release number of selected component (if applicable):

All up2date clients that use our proxy server.

How reproducible:

Absolute reprodicibility.

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Red Hat Bugzilla 2007-04-11 20:53:08 EDT
User bnackash@redhat.com's account has been closed
Comment 2 Red Hat Bugzilla 2007-05-03 00:21:56 EDT
User pvetere@redhat.com's account has been closed
Comment 4 Miroslav Suchý 2008-04-30 10:35:14 EDT
xmlrpm.rhn.redhat.com ??
Did you mean xmlrpc.rhn.redhat.com? This is what should be there. I wonder what
you had there previously.
Comment 5 Miroslav Suchý 2008-11-18 13:18:19 EST
After you lost subscriptions, the proxy is unregistered as a proxy machine. 
If your machine is still registred to hosted rhn-proxy-activate should give you proxy registration.
If you reregister machine, you can not restore it per se. You must activate it again.
Closing this bug as NOTABUG. 
Please open a support ticket if further assistance is needed.

Note You need to log in before you can comment on or make changes to this bug.